Page MenuHomePhabricator

Zoom problem when adding by search in gather on iOS
Closed, ResolvedPublic

Description

This was noticed during a live user walk-through. Everytime a user adds to collection from edit screen, the view zooms in to blank white space and freaks out the user. See video.

or screenshots below:

edit screen for collection

search

add

Event Timeline

JKatzWMF created this task.Jun 4 2015, 10:23 PM
JKatzWMF raised the priority of this task from to Needs Triage.
JKatzWMF updated the task description. (Show Details)
JKatzWMF added a subscriber: JKatzWMF.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 4 2015, 10:23 PM
JKatzWMF updated the task description. (Show Details)Jun 4 2015, 10:24 PM
JKatzWMF set Security to None.
JKatzWMF updated the task description. (Show Details)
JKatzWMF added a subscriber: Jdlrobson.

Zoom usually happens when text is too small. Can you confirm if this also happens on the standard Wikipedia search interface?

@Jdlrobson this is happening on the gather search interface, not on the standard wikipedia.

@Jdlrobson @Jhernandez @KLans_WMF this is a serious, top priority issue that was flagged on Thursday. Can somebody stop what they are working on and look at it?

Jdlrobson moved this task from Needs triage to Product triage on the Gather board.Jun 10 2015, 3:17 PM

I'll grab this tomorrow morning and fix it if no one else has today.

Jdlrobson moved this task from Product triage to Must haves on the Gather board.Jun 10 2015, 7:25 PM
Jdlrobson moved this task from To Do to Doing on the Mobile-Web-Sprint-49-Wayne's-World board.

@Jhernandez feel free to grab problem seems to be in switchToFirstPane function

@Jdlrobson I've been vagranted today so I can't actually test my suspicions but I've been diving into it and the problem should be that we call focus on the search input after the item is added, see:

resources/ext.gather.collection.editor/CollectionEditOverlay.js
Line 213


onCollectionMembersChange: function() {
    if (this.activePane === 'search') {
        this.onClearSearch();
        this.onExitSearch();
    }
},

Inside onClearSearch we focus the input, which in this case is as we are leaving the panel, which probably causes that zoom.

I guess a good solution could be passing a boolean onClearSearch(newSearch) and change onClearSearch to be:

		onClearSearch: function ( newSearch ) {
			this.$( '.search-header input' ).val( '' );
			this.searchPanel.search( '' );
			this.$clear.addClass( 'hidden' );
+ 			if ( newSearch ) {
+ 				this.$( '.search-header input' ).focus();
+ 			}
		},

And


onCollectionMembersChange: function() {
    if (this.activePane === 'search') {
        this.onClearSearch( false );
        this.onExitSearch();
    }
},

And change the other ocurrences of onClearSearch to pass true in.


Can't test it right now though. Working on fixing my dev environment.

Change 217555 had a related patch set uploaded (by Jdlrobson):
Fix ios zoom issue when selecting member for collection

https://gerrit.wikimedia.org/r/217555

Change 217555 merged by jenkins-bot:
Fix ios zoom issue when selecting member for collection

https://gerrit.wikimedia.org/r/217555

phuedx closed this task as Resolved.EditedJun 12 2015, 2:01 PM
phuedx added a subscriber: phuedx.

Verified locally

Edit

… using the iOS Simulator tool running iOS 8.3.